NX Open C++ Reference Guide
|
Represents a Edge Blend builder. More...
Public Types | |
enum | Conic { ConicBoundaryPlusCenter, ConicBoundaryPlusRho, ConicCenterPlusRho } |
This enum represents the Conic option. More... | |
enum | OrderOfBlending { OrderOfBlendingConvexFirst, OrderOfBlendingConcaveFirst } |
This enum represents the order of Blending. More... | |
enum | Overlap { OverlapMaintainAndIntersect, OverlapDifferentConvexityRollOver, OverlapAnyConvexityRollOver } |
This enum represents the Overlap resolution options for Edge Blend. More... | |
enum | Rhotype { RhotypeRelative, RhotypeAbsolute } |
This enum represents the rho type for conic section blend. More... | |
enum | Section { SectionCircular, SectionConic } |
This enum represents the Section option. More... | |
enum | Setback { SetbackIncludeWithCorner, SetbackSeparateFromCorner } |
This enum represents the Setback option. More... | |
Public Member Functions | |
int | AddChainset (NXOpen::ScCollector *collector, const NXString &radius) |
Add an edge blend chainset to the edge blend. | |
int | AddChainset (NXOpen::ScCollector *collector, const char *radius) |
Add an edge blend chainset to the edge blend. | |
int | AddChainset (NXOpen::ScCollector *collector, NXOpen::Features::EdgeBlendBuilder::Section sectionType, NXOpen::Features::EdgeBlendBuilder::Conic conicMethod, NXOpen::Features::EdgeBlendBuilder::Rhotype rhoType, const NXString &radius, const NXString ¢er, const NXString &rho) |
Add an edge blend chainset to the edge blend. | |
int | AddChainset (NXOpen::ScCollector *collector, NXOpen::Features::EdgeBlendBuilder::Section sectionType, NXOpen::Features::EdgeBlendBuilder::Conic conicMethod, NXOpen::Features::EdgeBlendBuilder::Rhotype rhoType, const char *radius, const char *center, const char *rho) |
Add an edge blend chainset to the edge blend. | |
int | AddNewStopshortData (NXOpen::GeometricUtilities::BlendStopshortBuilder *builder) |
Add an edge blend stop short data for an edge in the edge blend. | |
int | AddSetbackData (const std::vector< NXOpen::Edge * > &edgeArray, const std::vector< bool > &fromStart, const std::vector< NXString > &distance) |
Add an edge blend setback data for an edge in the edge blend. | |
int | AddStopshortData (NXOpen::Edge *edge, bool fromStart, const NXString &distance) |
Add an edge blend stop short data for an edge in the edge blend. | |
int | AddStopshortData (NXOpen::Edge *edge, bool fromStart, const char *distance) |
Add an edge blend stop short data for an edge in the edge blend. | |
int | AddVariablePointData (NXOpen::Edge *edge, const NXString ¶meter, const NXString &radius, const NXString ¢erValue, const NXString &rhoValue, NXOpen::Point *smartPoint, bool isExternal, bool isArclength) |
Add an edge blend variable radius data for an edge in the edge blend. | |
int | AddVariablePointData (NXOpen::Edge *edge, const char *parameter, const char *radius, const char *centerValue, const char *rhoValue, NXOpen::Point *smartPoint, bool isExternal, bool isArclength) |
Add an edge blend variable radius data for an edge in the edge blend. | |
int | AddVariableRadiusData (NXOpen::Edge *edge, double parameter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal) |
Add an edge blend variable radius data for an edge in the edge blend. | |
int | AddVariableRadiusData (NXOpen::Edge *edge, double parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal) |
Add an edge blend variable radius data for an edge in the edge blend. | |
int | AddVariableRadiusDataNew (NXOpen::Edge *edge, const NXString ¶meter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal) |
Add an edge blend variable radius data for an edge in the edge blend Note: This ja will always create arclength parameter. | |
int | AddVariableRadiusDataNew (NXOpen::Edge *edge, const char *parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal) |
Add an edge blend variable radius data for an edge in the edge blend Note: This ja will always create arclength parameter. | |
int | AddVariableRadiusDataNew (NXOpen::Edge *edge, const NXString ¶meter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal, bool isArclength) |
Add an edge blend variable radius data for an edge in the edge blend. | |
int | AddVariableRadiusDataNew (NXOpen::Edge *edge, const char *parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal, bool isArclength) |
Add an edge blend variable radius data for an edge in the edge blend. | |
bool | AllInstancesOption () |
Returns the blend all instances option. | |
NXOpen::Features::EdgeBlendBuilder::OrderOfBlending | BlendOrder () |
Returns the order of blending for edge blend Created in NX4.0.0. | |
NXOpen::ScCollector * | CliffEdges () |
Returns the forced cliff edges for edge blend Created in NX5.0.0. | |
bool | ConvexConcaveY () |
Returns the Special blend at convex / concave Y option. | |
void | EditVariablePointData (NXOpen::Edge *edge, int vrIndex, const NXString ¶meter, const NXString &radius, const NXString ¢erValue, const NXString &rhoValue, NXOpen::Point *smartPoint, bool isExternal, bool isArclength) |
Edit an edge blend variable radius data for an edge in the edge blend Created in NX8.0.0. | |
void | EditVariablePointData (NXOpen::Edge *edge, int vrIndex, const char *parameter, const char *radius, const char *centerValue, const char *rhoValue, NXOpen::Point *smartPoint, bool isExternal, bool isArclength) |
Edit an edge blend variable radius data for an edge in the edge blend Created in NX8.0.0. | |
void | EditVariableRadiusData (NXOpen::Edge *edge, int vrIndex, double parameter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal) |
Edit an edge blend variable radius data for an edge in the edge blend | |
void | EditVariableRadiusData (NXOpen::Edge *edge, int vrIndex, double parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal) |
Edit an edge blend variable radius data for an edge in the edge blend | |
void | EditVariableRadiusDataNew (NXOpen::Edge *edge, int vrIndex, const NXString ¶meter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal) |
Edit an edge blend variable radius data for an edge in the edge blend Created in NX6.0.0. | |
void | EditVariableRadiusDataNew (NXOpen::Edge *edge, int vrIndex, const char *parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal) |
Edit an edge blend variable radius data for an edge in the edge blend Created in NX6.0.0. | |
void | EditVariableRadiusDataNew (NXOpen::Edge *edge, int vrIndex, const NXString ¶meter, const NXString &radius, NXOpen::Point *smartPoint, bool isExternal, bool isArclength) |
Edit an edge blend variable radius data for an edge in the edge blend Created in NX6.0.0. | |
void | EditVariableRadiusDataNew (NXOpen::Edge *edge, int vrIndex, const char *parameter, const char *radius, NXOpen::Point *smartPoint, bool isExternal, bool isArclength) |
Edit an edge blend variable radius data for an edge in the edge blend Created in NX6.0.0. | |
void | GetChainset (int csIndex, NXOpen::ScCollector **collector, NXOpen::Expression **radius) |
Get collector and radius for an edge blend chainset given the index of the chainset Created in NX4.0.0. | |
void | GetChainsetAndStatus (int csIndex, NXOpen::ScCollector **collector, NXOpen::Expression **radius, bool *isValid) |
Get collector, radius and validity status for an edge blend chainset given the index of the chainset Created in NX5.0.0. | |
int | GetChainsetIndex (NXOpen::ScCollector *collector) |
Get the index of edge blend chainset given the collector. | |
NXOpen::GeometricUtilities::BlendStopshortBuilder * | GetNewStopshortData (int ssIndex) |
Get an edge blend stop short data for the index provided. | |
int | GetNumberOfValidChainsets () |
Get the number of valid chainsets. | |
std::vector< NXOpen::Edge * > | GetSetbackData (int sbIndex, std::vector< bool > &fromStart, std::vector< NXOpen::Expression * > &distanceExp) |
Get an edge blend setback data for the index provided. | |
NXOpen::Expression * | GetStopshortData (int ssIndex, NXOpen::Edge **edge, bool *fromStart) |
Get an edge blend stop short data for the index provided. | |
std::vector< double > | GetVariableRadiusData (NXOpen::Edge *edge, std::vector< NXOpen::Expression * > &radiiExp, std::vector< NXOpen::Point * > &smartPoints, std::vector< bool > &isExternalFlagArray) |
Get all the variable radii data for an edge in the edge blend. | |
void | GetVariableRadiusDataNew (NXOpen::Edge *edge, std::vector< NXOpen::Expression * > ¶meterExp, std::vector< NXOpen::Expression * > &radiiExp, std::vector< NXOpen::Point * > &smartPoints, std::vector< bool > &isExternalFlagArray) |
Get all the variable radii data for an edge in the edge blend Created in NX6.0.0. | |
bool | LimitFailingAreas () |
Returns the Limit Failing Areas option. | |
NXOpen::GeometricUtilities::BlendLimitsData * | LimitsListData () |
Returns the limits list Created in NX5.0.0. | |
bool | MoveSharpEdge () |
Returns the Maintain blend and move sharp edges option. | |
NXOpen::ScCollector * | NonCliffEdges () |
Returns the prohibited cliff edges for edge blend Created in NX5.0.0. | |
NXOpen::Features::EdgeBlendBuilder::Overlap | OverlapOption () |
Returns the overlap resolution for edge blend Created in NX4.0.0. | |
bool | PatchComplexGeometryAreas () |
Returns the Patch Areas option. | |
void | RemoveChainset (int csIndex) |
Delete an edge blend chainset from the edge blend. | |
void | RemoveChainsetByCollector (NXOpen::ScCollector *collector) |
Delete an edge blend chainset from the edge blend. | |
void | RemoveNewStopshortData (NXOpen::GeometricUtilities::BlendStopshortBuilder *builder) |
Remove an edge blend stop short corresponding to a BlendStopshortBuilder Created in NX5.0.0. | |
bool | RemoveSelfIntersection () |
Returns the Remove self-intersection option. | |
void | RemoveSetbackData (int sbIndex) |
Remove an edge blend setback data for an edge in the edge blend Created in NX4.0.0. | |
void | RemoveStopshortData (NXOpen::Edge *edge, bool fromStart) |
Remove an edge blend stop short data for an edge | |
void | RemoveStopshortData (int ssIndex) |
Remove an edge blend stop short data for the index indicated | |
void | RemoveStopshortDataByType (NXOpen::Edge *edge, bool fromStart, NXOpen::GeometricUtilities::BlendStopshortBuilder::Choices type) |
Remove the stop short from an edge, given its type and location Created in NX5.0.0. | |
void | RemoveVariableRadiusData (NXOpen::Edge *edge, double parameter) |
Remove variable radius data on an edge by the parameter value of the point on the edge Created in NX4.0.0. | |
void | RemoveVariableRadiusData (NXOpen::Edge *edge) |
Remove all variable radius datas on an edge Created in NX4.0.0. | |
void | RemoveVariableRadiusDataByIndex (NXOpen::Edge *edge, int index) |
Remove variable radius data on an edge by the index into the point array on the edge Created in NX4.0.0. | |
bool | RollOntoEdge () |
Returns the Roll onto edges option. | |
bool | RollOverSmoothEdge () |
Returns the Roll over smooth edges option. | |
void | SetAllInstancesOption (bool optionValue) |
Sets the blend all instances option. | |
NXOpen::Features::EdgeBlendBuilder::Setback | SetbackOption () |
Returns the setback option for edge blend Created in NX4.0.0. | |
void | SetBlendOrder (NXOpen::Features::EdgeBlendBuilder::OrderOfBlending blendOrder) |
Sets the order of blending for edge blend Created in NX4.0.0. | |
void | SetCliffEdges (NXOpen::ScCollector *cliffEdgeCollector) |
Sets the forced cliff edges for edge blend Created in NX5.0.0. | |
void | SetConvexConcaveY (bool optionValue) |
Sets the Special blend at convex / concave Y option. | |
void | SetLimitFailingAreas (bool optionValue) |
Sets the Limit Failing Areas option. | |
void | SetMoveSharpEdge (bool optionValue) |
Sets the Maintain blend and move sharp edges option. | |
void | SetNonCliffEdges (NXOpen::ScCollector *nonCliffEdgeCollector) |
Sets the prohibited cliff edges for edge blend Created in NX5.0.0. | |
void | SetOverlapOption (NXOpen::Features::EdgeBlendBuilder::Overlap overlapOption) |
Sets the overlap resolution for edge blend Created in NX4.0.0. | |
void | SetPatchComplexGeometryAreas (bool optionValue) |
Sets the Patch Areas option. | |
void | SetRemoveSelfIntersection (bool optionValue) |
Sets the Remove self-intersection option. | |
void | SetRollOntoEdge (bool optionValue) |
Sets the Roll onto edges option. | |
void | SetRollOverSmoothEdge (bool optionValue) |
Sets the Roll over smooth edges option. | |
void | SetSetbackOption (NXOpen::Features::EdgeBlendBuilder::Setback setbackOption) |
Sets the setback option for edge blend Created in NX4.0.0. | |
void | SetTolerance (double tolerance) |
Sets the tolerance of a variable blend. | |
void | SetTrimmingOption (bool optionValue) |
Sets the trimming option. | |
double | Tolerance () |
Returns the tolerance of a variable blend. | |
bool | TrimmingOption () |
Returns the trimming option. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Edge Blend builder.
<br> To create a new instance of this class, use @link Features::FeatureCollection::CreateEdgeBlendBuilder Features::FeatureCollection::CreateEdgeBlendBuilder @endlink <br>
Default values.
Property | Value |
---|---|
TrimmingOption |
False |
Created in NX4.0.0.
This enum represents the Conic option.
This enum represents the Section option.
int NXOpen::Features::EdgeBlendBuilder::AddChainset | ( | NXOpen::ScCollector * | collector, |
const NXString & | radius | ||
) |
Add an edge blend chainset to the edge blend.
collector | The collector for this edge blend chainset |
radius | The radius of this chain set collector |
int NXOpen::Features::EdgeBlendBuilder::AddChainset | ( | NXOpen::ScCollector * | collector, |
const char * | radius | ||
) |
Add an edge blend chainset to the edge blend.
collector | The collector for this edge blend chainset |
radius | The radius of this chain set collector |
int NXOpen::Features::EdgeBlendBuilder::AddChainset | ( | NXOpen::ScCollector * | collector, |
NXOpen::Features::EdgeBlendBuilder::Section | sectionType, | ||
NXOpen::Features::EdgeBlendBuilder::Conic | conicMethod, | ||
NXOpen::Features::EdgeBlendBuilder::Rhotype | rhoType, | ||
const NXString & | radius, | ||
const NXString & | center, | ||
const NXString & | rho | ||
) |
Add an edge blend chainset to the edge blend.
collector | The collector for this edge blend chainset |
sectionType | Shape specifier for this chainset |
conicMethod | Shape subtype specifier for this chainset |
rhoType | rho type for this chain set |
radius | The radius of this chain set collector |
center | The conic center value of this chain set collector if type is Conic |
rho | The conic rho value of this chain set collector if type is Conic |
int NXOpen::Features::EdgeBlendBuilder::AddChainset | ( | NXOpen::ScCollector * | collector, |
NXOpen::Features::EdgeBlendBuilder::Section | sectionType, | ||
NXOpen::Features::EdgeBlendBuilder::Conic | conicMethod, | ||
NXOpen::Features::EdgeBlendBuilder::Rhotype | rhoType, | ||
const char * | radius, | ||
const char * | center, | ||
const char * | rho | ||
) |
Add an edge blend chainset to the edge blend.
collector | The collector for this edge blend chainset |
sectionType | Shape specifier for this chainset |
conicMethod | Shape subtype specifier for this chainset |
rhoType | rho type for this chain set |
radius | The radius of this chain set collector |
center | The conic center value of this chain set collector if type is Conic |
rho | The conic rho value of this chain set collector if type is Conic |
int NXOpen::Features::EdgeBlendBuilder::AddNewStopshortData | ( | NXOpen::GeometricUtilities::BlendStopshortBuilder * | builder | ) |
Add an edge blend stop short data for an edge in the edge blend.
builder | the Stopshort Data |
int NXOpen::Features::EdgeBlendBuilder::AddSetbackData | ( | const std::vector< NXOpen::Edge * > & | edgeArray, |
const std::vector< bool > & | fromStart, | ||
const std::vector< NXString > & | distance | ||
) |
Add an edge blend setback data for an edge in the edge blend.
edgeArray | Array of Edge collector tags that are used by the setback |
fromStart | if true, then the setback is defined at the start vertex. Otherwise, it is defined at the end vertex. There is one for each input edge. |
distance | Array of distances |
int NXOpen::Features::EdgeBlendBuilder::AddStopshortData | ( | NXOpen::Edge * | edge, |
bool | fromStart, | ||
const NXString & | distance | ||
) |
Add an edge blend stop short data for an edge in the edge blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
fromStart | if true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex. |
distance | The distance for the stopshort on the edge. |
int NXOpen::Features::EdgeBlendBuilder::AddStopshortData | ( | NXOpen::Edge * | edge, |
bool | fromStart, | ||
const char * | distance | ||
) |
Add an edge blend stop short data for an edge in the edge blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
fromStart | if true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex. |
distance | The distance for the stopshort on the edge. |
int NXOpen::Features::EdgeBlendBuilder::AddVariablePointData | ( | NXOpen::Edge * | edge, |
const NXString & | parameter, | ||
const NXString & | radius, | ||
const NXString & | centerValue, | ||
const NXString & | rhoValue, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal, | ||
bool | isArclength | ||
) |
Add an edge blend variable radius data for an edge in the edge blend.
edge | Edge to add stop short data on |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
centerValue | The conic center value at this point on the edge. |
rhoValue | The conic rho value at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
isArclength | Flag indicating whether parameter is arclength or not |
int NXOpen::Features::EdgeBlendBuilder::AddVariablePointData | ( | NXOpen::Edge * | edge, |
const char * | parameter, | ||
const char * | radius, | ||
const char * | centerValue, | ||
const char * | rhoValue, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal, | ||
bool | isArclength | ||
) |
Add an edge blend variable radius data for an edge in the edge blend.
edge | Edge to add stop short data on |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
centerValue | The conic center value at this point on the edge. |
rhoValue | The conic rho value at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
isArclength | Flag indicating whether parameter is arclength or not |
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusData | ( | NXOpen::Edge * | edge, |
double | parameter, | ||
const NXString & | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal | ||
) |
Add an edge blend variable radius data for an edge in the edge blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusData | ( | NXOpen::Edge * | edge, |
double | parameter, | ||
const char * | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal | ||
) |
Add an edge blend variable radius data for an edge in the edge blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
const NXString & | parameter, | ||
const NXString & | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal | ||
) |
Add an edge blend variable radius data for an edge in the edge blend Note: This ja will always create arclength parameter.
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
const char * | parameter, | ||
const char * | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal | ||
) |
Add an edge blend variable radius data for an edge in the edge blend Note: This ja will always create arclength parameter.
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
const NXString & | parameter, | ||
const NXString & | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal, | ||
bool | isArclength | ||
) |
Add an edge blend variable radius data for an edge in the edge blend.
edge | Edge to add stop short data on |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
isArclength | Flag indicating whether parameter is arclength or not |
int NXOpen::Features::EdgeBlendBuilder::AddVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
const char * | parameter, | ||
const char * | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal, | ||
bool | isArclength | ||
) |
Add an edge blend variable radius data for an edge in the edge blend.
edge | Edge to add stop short data on |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
isArclength | Flag indicating whether parameter is arclength or not |
bool NXOpen::Features::EdgeBlendBuilder::AllInstancesOption | ( | ) |
Returns the blend all instances option.
Created in NX4.0.0.
License requirements : None
NXOpen::Features::EdgeBlendBuilder::OrderOfBlending NXOpen::Features::EdgeBlendBuilder::BlendOrder | ( | ) |
Returns the order of blending for edge blend
Created in NX4.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::EdgeBlendBuilder::CliffEdges | ( | ) |
Returns the forced cliff edges for edge blend
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::EdgeBlendBuilder::ConvexConcaveY | ( | ) |
Returns the Special blend at convex / concave Y option.
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::EdgeBlendBuilder::EditVariablePointData | ( | NXOpen::Edge * | edge, |
int | vrIndex, | ||
const NXString & | parameter, | ||
const NXString & | radius, | ||
const NXString & | centerValue, | ||
const NXString & | rhoValue, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal, | ||
bool | isArclength | ||
) |
Edit an edge blend variable radius data for an edge in the edge blend
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
vrIndex | Index of what variable radius data item to edit |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
centerValue | The conic center value at this point on the edge. |
rhoValue | The conic center value at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
isArclength | Flag indicating whether the parameter is arclength or not |
void NXOpen::Features::EdgeBlendBuilder::EditVariablePointData | ( | NXOpen::Edge * | edge, |
int | vrIndex, | ||
const char * | parameter, | ||
const char * | radius, | ||
const char * | centerValue, | ||
const char * | rhoValue, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal, | ||
bool | isArclength | ||
) |
Edit an edge blend variable radius data for an edge in the edge blend
Created in NX8.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
vrIndex | Index of what variable radius data item to edit |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
centerValue | The conic center value at this point on the edge. |
rhoValue | The conic center value at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
isArclength | Flag indicating whether the parameter is arclength or not |
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusData | ( | NXOpen::Edge * | edge, |
int | vrIndex, | ||
double | parameter, | ||
const NXString & | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal | ||
) |
Edit an edge blend variable radius data for an edge in the edge blend
Use Features::EdgeBlendBuilder::EditVariableRadiusDataNew instead.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
vrIndex | Index of what variable radius data item to edit |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusData | ( | NXOpen::Edge * | edge, |
int | vrIndex, | ||
double | parameter, | ||
const char * | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal | ||
) |
Edit an edge blend variable radius data for an edge in the edge blend
Use Features::EdgeBlendBuilder::EditVariableRadiusDataNew instead.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
vrIndex | Index of what variable radius data item to edit |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
int | vrIndex, | ||
const NXString & | parameter, | ||
const NXString & | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal | ||
) |
Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
vrIndex | Index of what variable radius data item to edit |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
int | vrIndex, | ||
const char * | parameter, | ||
const char * | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal | ||
) |
Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
vrIndex | Index of what variable radius data item to edit |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
int | vrIndex, | ||
const NXString & | parameter, | ||
const NXString & | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal, | ||
bool | isArclength | ||
) |
Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
vrIndex | Index of what variable radius data item to edit |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
isArclength | Flag indicating whether the parameter is arclength or not |
void NXOpen::Features::EdgeBlendBuilder::EditVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
int | vrIndex, | ||
const char * | parameter, | ||
const char * | radius, | ||
NXOpen::Point * | smartPoint, | ||
bool | isExternal, | ||
bool | isArclength | ||
) |
Edit an edge blend variable radius data for an edge in the edge blend
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
vrIndex | Index of what variable radius data item to edit |
parameter | Parameter location of point on the edge |
radius | The radius at this point on the edge. |
smartPoint | Smart Point defining the location of this vr |
isExternal | Flag indicating whether this point is external to blend |
isArclength | Flag indicating whether the parameter is arclength or not |
void NXOpen::Features::EdgeBlendBuilder::GetChainset | ( | int | csIndex, |
NXOpen::ScCollector ** | collector, | ||
NXOpen::Expression ** | radius | ||
) |
Get collector and radius for an edge blend chainset given the index of the chainset
Created in NX4.0.0.
License requirements : None
csIndex | Index of chainset, indicating which chainset we are dealing with |
collector | The collector for this edge blend chainset |
radius | The radius of this chain set collector |
void NXOpen::Features::EdgeBlendBuilder::GetChainsetAndStatus | ( | int | csIndex, |
NXOpen::ScCollector ** | collector, | ||
NXOpen::Expression ** | radius, | ||
bool * | isValid | ||
) |
Get collector, radius and validity status for an edge blend chainset given the index of the chainset
Created in NX5.0.0.
License requirements : None
csIndex | Index of chainset |
collector | The collector for this edge blend chainset |
radius | The radius of this chain set collector |
isValid | Is the chainset alive/valid ? |
int NXOpen::Features::EdgeBlendBuilder::GetChainsetIndex | ( | NXOpen::ScCollector * | collector | ) |
Get the index of edge blend chainset given the collector.
collector | The collector for this edge blend chainset |
NXOpen::GeometricUtilities::BlendStopshortBuilder* NXOpen::Features::EdgeBlendBuilder::GetNewStopshortData | ( | int | ssIndex | ) |
Get an edge blend stop short data for the index provided.
ssIndex | Index of where stop short data item is created |
int NXOpen::Features::EdgeBlendBuilder::GetNumberOfValidChainsets | ( | ) |
Get the number of valid chainsets.
std::vector<NXOpen::Edge *> NXOpen::Features::EdgeBlendBuilder::GetSetbackData | ( | int | sbIndex, |
std::vector< bool > & | fromStart, | ||
std::vector< NXOpen::Expression * > & | distanceExp | ||
) |
Get an edge blend setback data for the index provided.
sbIndex | Index of where setback data item was created. |
fromStart | if true, then the setback is defined at the start vertex. Otherwise, it is defined at the end vertex. There is one for each output edge. |
distanceExp | The distance for the setback on each edge. |
NXOpen::Expression* NXOpen::Features::EdgeBlendBuilder::GetStopshortData | ( | int | ssIndex, |
NXOpen::Edge ** | edge, | ||
bool * | fromStart | ||
) |
Get an edge blend stop short data for the index provided.
Created in NX4.0.0.
License requirements : None
ssIndex | Index of where stop short data item is created. |
edge | Edge the stop short data is on. |
fromStart | if true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex. |
std::vector<double> NXOpen::Features::EdgeBlendBuilder::GetVariableRadiusData | ( | NXOpen::Edge * | edge, |
std::vector< NXOpen::Expression * > & | radiiExp, | ||
std::vector< NXOpen::Point * > & | smartPoints, | ||
std::vector< bool > & | isExternalFlagArray | ||
) |
Get all the variable radii data for an edge in the edge blend.
Created in NX4.0.0.
License requirements : None
edge | Edge to get all the varible radius data on |
radiiExp | The radius value of each point on the edge |
smartPoints | Array of smart points defining variable radius |
isExternalFlagArray | Corresponding is_external flags of the variable radius points |
void NXOpen::Features::EdgeBlendBuilder::GetVariableRadiusDataNew | ( | NXOpen::Edge * | edge, |
std::vector< NXOpen::Expression * > & | parameterExp, | ||
std::vector< NXOpen::Expression * > & | radiiExp, | ||
std::vector< NXOpen::Point * > & | smartPoints, | ||
std::vector< bool > & | isExternalFlagArray | ||
) |
Get all the variable radii data for an edge in the edge blend
Created in NX6.0.0.
License requirements : None
edge | Edge to get all the varible radius data on |
parameterExp | Parameter value of points on the edge |
radiiExp | The radius value of each point on the edge |
smartPoints | Array of smart points defining variable radius |
isExternalFlagArray | Corresponding is_external flags of the variable radius points |
bool NXOpen::Features::EdgeBlendBuilder::LimitFailingAreas | ( | ) |
Returns the Limit Failing Areas option.
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::BlendLimitsData* NXOpen::Features::EdgeBlendBuilder::LimitsListData | ( | ) |
Returns the limits list
Created in NX5.0.0.
License requirements : None
bool NXOpen::Features::EdgeBlendBuilder::MoveSharpEdge | ( | ) |
Returns the Maintain blend and move sharp edges option.
Created in NX4.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::EdgeBlendBuilder::NonCliffEdges | ( | ) |
Returns the prohibited cliff edges for edge blend
Created in NX5.0.0.
License requirements : None
NXOpen::Features::EdgeBlendBuilder::Overlap NXOpen::Features::EdgeBlendBuilder::OverlapOption | ( | ) |
Returns the overlap resolution for edge blend
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::EdgeBlendBuilder::PatchComplexGeometryAreas | ( | ) |
Returns the Patch Areas option.
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::EdgeBlendBuilder::RemoveChainset | ( | int | csIndex | ) |
Delete an edge blend chainset from the edge blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
csIndex | Index of chainset, indicating which chainset we are dealing with |
void NXOpen::Features::EdgeBlendBuilder::RemoveChainsetByCollector | ( | NXOpen::ScCollector * | collector | ) |
Delete an edge blend chainset from the edge blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
collector | The collector for this edge blend chainset |
void NXOpen::Features::EdgeBlendBuilder::RemoveNewStopshortData | ( | NXOpen::GeometricUtilities::BlendStopshortBuilder * | builder | ) |
Remove an edge blend stop short corresponding to a BlendStopshortBuilder
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
builder | the Stopshort Data |
bool NXOpen::Features::EdgeBlendBuilder::RemoveSelfIntersection | ( | ) |
Returns the Remove self-intersection option.
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::EdgeBlendBuilder::RemoveSetbackData | ( | int | sbIndex | ) |
Remove an edge blend setback data for an edge in the edge blend
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
sbIndex | Index of where setback data item was created |
void NXOpen::Features::EdgeBlendBuilder::RemoveStopshortData | ( | NXOpen::Edge * | edge, |
bool | fromStart | ||
) |
Remove an edge blend stop short data for an edge
Use Features::EdgeBlendBuilder::RemoveNewStopshortData instead.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to remove the stopshort on |
fromStart | if true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex. |
void NXOpen::Features::EdgeBlendBuilder::RemoveStopshortData | ( | int | ssIndex | ) |
Remove an edge blend stop short data for the index indicated
Use Features::EdgeBlendBuilder::RemoveNewStopshortData instead.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
ssIndex | Index of where stop short data item is created. |
void NXOpen::Features::EdgeBlendBuilder::RemoveStopshortDataByType | ( | NXOpen::Edge * | edge, |
bool | fromStart, | ||
NXOpen::GeometricUtilities::BlendStopshortBuilder::Choices | type | ||
) |
Remove the stop short from an edge, given its type and location
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to remove the stopshort on |
fromStart | if true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex. |
type | the type of the stopshort |
void NXOpen::Features::EdgeBlendBuilder::RemoveVariableRadiusData | ( | NXOpen::Edge * | edge, |
double | parameter | ||
) |
Remove variable radius data on an edge by the parameter value of the point on the edge
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to add stop short data on |
parameter | Parameter location of point on the edge |
void NXOpen::Features::EdgeBlendBuilder::RemoveVariableRadiusData | ( | NXOpen::Edge * | edge | ) |
Remove all variable radius datas on an edge
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to remove all variable radius datas from |
void NXOpen::Features::EdgeBlendBuilder::RemoveVariableRadiusDataByIndex | ( | NXOpen::Edge * | edge, |
int | index | ||
) |
Remove variable radius data on an edge by the index into the point array on the edge
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
edge | Edge to remove variable radius data on |
index | Index into point array on the edge |
bool NXOpen::Features::EdgeBlendBuilder::RollOntoEdge | ( | ) |
Returns the Roll onto edges option.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::EdgeBlendBuilder::RollOverSmoothEdge | ( | ) |
Returns the Roll over smooth edges option.
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::EdgeBlendBuilder::SetAllInstancesOption | ( | bool | optionValue | ) |
Sets the blend all instances option.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
NXOpen::Features::EdgeBlendBuilder::Setback NXOpen::Features::EdgeBlendBuilder::SetbackOption | ( | ) |
Returns the setback option for edge blend
Created in NX4.0.0.
License requirements : None
void NXOpen::Features::EdgeBlendBuilder::SetBlendOrder | ( | NXOpen::Features::EdgeBlendBuilder::OrderOfBlending | blendOrder | ) |
Sets the order of blending for edge blend
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
blendOrder | blend order |
void NXOpen::Features::EdgeBlendBuilder::SetCliffEdges | ( | NXOpen::ScCollector * | cliffEdgeCollector | ) |
Sets the forced cliff edges for edge blend
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
cliffEdgeCollector | The cliff edge collector |
void NXOpen::Features::EdgeBlendBuilder::SetConvexConcaveY | ( | bool | optionValue | ) |
Sets the Special blend at convex / concave Y option.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
void NXOpen::Features::EdgeBlendBuilder::SetLimitFailingAreas | ( | bool | optionValue | ) |
Sets the Limit Failing Areas option.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
void NXOpen::Features::EdgeBlendBuilder::SetMoveSharpEdge | ( | bool | optionValue | ) |
Sets the Maintain blend and move sharp edges option.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
void NXOpen::Features::EdgeBlendBuilder::SetNonCliffEdges | ( | NXOpen::ScCollector * | nonCliffEdgeCollector | ) |
Sets the prohibited cliff edges for edge blend
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
nonCliffEdgeCollector | The non cliff edge collector |
void NXOpen::Features::EdgeBlendBuilder::SetOverlapOption | ( | NXOpen::Features::EdgeBlendBuilder::Overlap | overlapOption | ) |
Sets the overlap resolution for edge blend
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
overlapOption | overlap option |
void NXOpen::Features::EdgeBlendBuilder::SetPatchComplexGeometryAreas | ( | bool | optionValue | ) |
Sets the Patch Areas option.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
void NXOpen::Features::EdgeBlendBuilder::SetRemoveSelfIntersection | ( | bool | optionValue | ) |
Sets the Remove self-intersection option.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
void NXOpen::Features::EdgeBlendBuilder::SetRollOntoEdge | ( | bool | optionValue | ) |
Sets the Roll onto edges option.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
void NXOpen::Features::EdgeBlendBuilder::SetRollOverSmoothEdge | ( | bool | optionValue | ) |
Sets the Roll over smooth edges option.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
void NXOpen::Features::EdgeBlendBuilder::SetSetbackOption | ( | NXOpen::Features::EdgeBlendBuilder::Setback | setbackOption | ) |
Sets the setback option for edge blend
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
setbackOption | setback option |
void NXOpen::Features::EdgeBlendBuilder::SetTolerance | ( | double | tolerance | ) |
Sets the tolerance of a variable blend.
Created in NX4.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
tolerance | tolerance |
void NXOpen::Features::EdgeBlendBuilder::SetTrimmingOption | ( | bool | optionValue | ) |
Sets the trimming option.
Created in NX5.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
optionValue | option value |
double NXOpen::Features::EdgeBlendBuilder::Tolerance | ( | ) |
Returns the tolerance of a variable blend.
Created in NX4.0.0.
License requirements : None
bool NXOpen::Features::EdgeBlendBuilder::TrimmingOption | ( | ) |
Returns the trimming option.
Created in NX5.0.0.
License requirements : None